Show / Hide Table of Contents

# Class IpcNotReadyError

This exception is thrown when an IPC method is invoked, but nothing has been registered by that name yet.

##### Inheritance

System.Object
System.Exception
IpcNotReadyError

##### Implements

System.Runtime.Serialization.ISerializable

##### Inherited Members

System.Exception.GetBaseException()
System.Exception.GetObjectData(System.Runtime.Serialization.SerializationInfo, System.Runtime.Serialization.StreamingContext)
System.Exception.GetType()
System.Exception.ToString()
System.Exception.Data
System.Exception.HelpLink
System.Exception.HResult
System.Exception.InnerException
System.Exception.Source
System.Exception.StackTrace
System.Exception.TargetSite
System.Exception.SerializeObjectState
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Plugin

###### Assembly: Dalamud.dll

##### Syntax

    public class IpcNotReadyError : Exception, ISerializable

### Constructors

| Improve this Doc View Source

#### IpcNotReadyError(String)

Initializes a new instance of the IpcNotReadyError class.

##### Declaration

    public IpcNotReadyError(string name)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name | Name of the IPC method.

### Properties

| Improve this Doc View Source

#### Message

##### Declaration

    public override string Message { get; }

##### Property Value

Type | Description
--- | ---
System.String |

##### Overrides

System.Exception.Message
| Improve this Doc View Source

#### Name

Gets the name of the IPC that was invoked.

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Implements

System.Runtime.Serialization.ISerializable